From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rbpdf/
Date: Mon, 10 Jul 2023 19:08:18 +0000 (UTC) [thread overview]
Message-ID: <1689016095.289c50dafc6b1c177174c81ad39ffb89ead340dc.graaff@gentoo> (raw)
commit: 289c50dafc6b1c177174c81ad39ffb89ead340dc
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 10 18:59:05 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul 10 19:08:15 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=289c50da
dev-ruby/rbpdf: add 1.21.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/rbpdf/Manifest | 1 +
dev-ruby/rbpdf/rbpdf-1.21.2.ebuild | 54 ++++++++++++++++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/dev-ruby/rbpdf/Manifest b/dev-ruby/rbpdf/Manifest
index 8ec724bf7567..dfae36805ebd 100644
--- a/dev-ruby/rbpdf/Manifest
+++ b/dev-ruby/rbpdf/Manifest
@@ -1 +1,2 @@
DIST rbpdf-1.21.0.tar.gz 12027795 BLAKE2B 25b0423f5162433e1eb3d14e09c85e93c181742829b4983ef910b5d722d1f9d37ba804c2df44c817221f72d4c9d22c8d3bb6ec891057167b9eda3b12e96889df SHA512 3bdeaa58fdd760d280a991677c6af9254df7582a5081098e0c8a7229fb33994e81b386bcc182e917fcce978263917a00ba7cd00655f90111fcd7ff1df012c5d5
+DIST rbpdf-1.21.2.tar.gz 12055483 BLAKE2B 24aa5acff343c70769a6644abd68967333bf1d121a6ac85ece8d040439bf096983806613529a84d42b295e729134181a1ac2d0828b1ed337e91c8732a67ef30a SHA512 0da1f5bdc538cbb8e8f27373debb81634cfc407b4bd6c84301719f2faec196df7dc40a18e01a56fc9d373b0bb00523f574be1b0cb98f713c76e7987a8f5d0a98
diff --git a/dev-ruby/rbpdf/rbpdf-1.21.2.ebuild b/dev-ruby/rbpdf/rbpdf-1.21.2.ebuild
new file mode 100644
index 000000000000..02a0e2d7870d
--- /dev/null
+++ b/dev-ruby/rbpdf/rbpdf-1.21.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+# Avoid the complexity of the "rake" recipe and run the tests manually.
+RUBY_FAKEGEM_RECIPE_TEST=none
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby on Rails RBPDF plugin"
+HOMEPAGE="https://github.com/naitoh/rbpdf"
+SRC_URI="https://github.com/naitoh/rbpdf/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+ruby_add_bdepend "test? ( >=dev-ruby/test-unit-3 )"
+ruby_add_rdepend "
+ dev-ruby/actionview
+ dev-ruby/htmlentities
+ =dev-ruby/rbpdf-font-1.19*
+ || ( dev-ruby/mini_magick dev-ruby/rmagick )
+"
+
+# Two of the tests require png/jpeg support in "magick identify",
+# see bug 738784.
+BDEPEND+=" test? ( virtual/imagemagick-tools[jpeg,png] )"
+
+all_ruby_prepare() {
+ default
+
+ # This test is enabled automagically in the presence of rmagick, and
+ # then fails.
+ rm -f test/rbpdf_image_rmagick_test.rb \
+ || die "failed to remove rmagick tests"
+}
+
+each_ruby_test() {
+ local cmd='gem "test-unit", ">= 3.0"'
+ cmd+=' and '
+ cmd+='require "test/unit"'
+ cmd+=' and '
+ cmd+='Dir["test/rbpdf_*.rb"].each{|f| require("./" + f)}'
+ ${RUBY} -Ilib:.:test -e "${cmd}" || die "test suite failed"
+}
next reply other threads:[~2023-07-10 19:08 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-07-10 19:08 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-03 9:12 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rbpdf/ Hans de Graaff
2024-10-05 7:30 Hans de Graaff
2024-05-19 5:33 Hans de Graaff
2023-08-29 14:50 Hans de Graaff
2023-07-18 4:46 Hans de Graaff
2023-07-11 9:43 Hans de Graaff
2023-06-17 4:53 Hans de Graaff
2023-02-14 6:56 Hans de Graaff
2022-04-09 7:38 Hans de Graaff
2020-09-11 4:06 Hans de Graaff
2020-08-30 1:26 Michael Orlitzky
2020-05-21 4:40 Hans de Graaff
2020-05-21 4:40 Hans de Graaff
2020-05-19 14:28 Michael Orlitzky
2019-08-21 15:52 Hans de Graaff
2019-08-12 4:55 Hans de Graaff
2019-08-12 4:55 Hans de Graaff
2019-05-22 17:20 Hans de Graaff
2019-01-27 19:13 Hans de Graaff
2019-01-21 6:49 Hans de Graaff
2018-12-08 7:47 Hans de Graaff
2018-06-25 5:07 Hans de Graaff
2018-06-17 7:16 Hans de Graaff
2018-04-29 9:42 Hans de Graaff
2018-02-08 18:45 Hans de Graaff
2017-09-11 5:47 Hans de Graaff
2017-08-25 6:09 Hans de Graaff
2017-04-09 5:00 Hans de Graaff
2017-03-30 6:08 Hans de Graaff
2016-08-28 23:15 Manuel Rüger
2016-03-01 7:21 Hans de Graaff
2015-12-17 2:16 Michael Orlitzky
2015-11-05 6:26 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1689016095.289c50dafc6b1c177174c81ad39ffb89ead340dc.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox